package com.zbf.system.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper; //添加
import com.zbf.system.domain.TCallNotice;

/**
 * 【请填写功能名称】Mapper接口
 *
 * @author tony
 * @date 2024-07-11
 */
public interface TCallNoticeMapper extends BaseMapper<TCallNotice> //修改
{
    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public TCallNotice selectTCallNoticeById(String id);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param tCallNotice 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<TCallNotice> selectTCallNoticeList(TCallNotice tCallNotice);

    /**
     * 新增【请填写功能名称】
     *
     * @param tCallNotice 【请填写功能名称】
     * @return 结果
     */
    public int insertTCallNotice(TCallNotice tCallNotice);

    /**
     * 修改【请填写功能名称】
     *
     * @param tCallNotice 【请填写功能名称】
     * @return 结果
     */
    public int updateTCallNotice(TCallNotice tCallNotice);

    /**
     * 删除【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteTCallNoticeById(String id);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTCallNoticeByIds(String[] ids);

    /**
     * 批量启用【请填写功能名称】
     *
     * @param ids 需要启用的数据主键集合
     * @return 结果
     */
    public int enableTCallNoticeByIds(String[] ids);

    /**
     * 批量禁用【请填写功能名称】
     *
     * @param ids 需要禁用的数据主键集合
     * @return 结果
     */
    public int disabledTCallNoticeByIds(String[] ids);

    /**
     * 更新任务通知状态
     * @param tCallNotice
     * @return
     */
    public int updateTaskStatus(TCallNotice tCallNotice);

}
